## arg 1:  the new package version
post_install() {
  holo apply
  if ! mkinitcpio -P; then
    echo "Failed to generate initramfs. Please run 'mkinitcpio -P' manually. (This is normal during initial system installation).";
    return 1;
  fi
}

## arg 1:  the new package version
## arg 2:  the old package version
post_upgrade() {
  holo apply
  if ! mkinitcpio -P; then
    echo "Failed to generate initramfs."
    return 1
  fi
}

## arg 1:  the old package version
post_remove() {
  holo apply
  if ! mkinitcpio -P; then
    echo "Failed to generate initramfs."
    return 1
  fi
}
